### Class

# Foundry ForgeIssue

#### Description [src]

    abstract class Foundry.ForgeIssue : GObject.Object
    {
      /* No available fields */
    }

Abstract base class for representing issues from forge services.

FoundryForgeIssue provides the core interface for representing issues and bug reports from forge services. It includes common properties like ID, title, state, and creation date, and provides a unified interface for issue management across different forge platforms.

#### Ancestors

- GObject

#### Instance methods

###### foundry_forge_issue_dup_author

Gets a copy of the user who authored the issue.

since: 1.1

###### foundry_forge_issue_dup_created_at

No description available.

since: 1.1

###### foundry_forge_issue_dup_description

No description available.

since: 1.1

###### foundry_forge_issue_dup_id

No description available.

since: 1.1

###### foundry_forge_issue_dup_online_url

No description available.

since: 1.1

###### foundry_forge_issue_dup_state

No description available.

since: 1.1

###### foundry_forge_issue_dup_title

No description available.

since: 1.1

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Foundry.ForgeIssue:author

No description available.

###### Foundry.ForgeIssue:created-at

No description available.

###### Foundry.ForgeIssue:description

No description available.

###### Foundry.ForgeIssue:id

No description available.

###### Foundry.ForgeIssue:online-url

No description available.

###### Foundry.ForgeIssue:state

No description available.

###### Foundry.ForgeIssue:title

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryForgeIssueClass {
      GObjectClass parent_class;
      char* (* dup_id) (
        FoundryForgeIssue* self
      );
      char* (* dup_title) (
        FoundryForgeIssue* self
      );
      char* (* dup_state) (
        FoundryForgeIssue* self
      );
      char* (* dup_online_url) (
        FoundryForgeIssue* self
      );
      GDateTime* (* dup_created_at) (
        FoundryForgeIssue* self
      );
      FoundryForgeUser* (* dup_author) (
        FoundryForgeIssue* self
      );
      char* (* dup_description) (
        FoundryForgeIssue* self
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`dup_id: char* (* dup_id) ( FoundryForgeIssue* self )`

  No description available.

`dup_title: char* (* dup_title) ( FoundryForgeIssue* self )`

  No description available.

`dup_state: char* (* dup_state) ( FoundryForgeIssue* self )`

  No description available.

`dup_online_url: char* (* dup_online_url) ( FoundryForgeIssue* self )`

  No description available.

`dup_created_at: GDateTime* (* dup_created_at) ( FoundryForgeIssue* self )`

  No description available.

`dup_author: FoundryForgeUser* (* dup_author) ( FoundryForgeIssue* self )`

  No description available.

`dup_description: char* (* dup_description) ( FoundryForgeIssue* self )`

  No description available.

#### Virtual methods

###### Foundry.ForgeIssueClass.dup_author

Gets a copy of the user who authored the issue.

since: 1.1

###### Foundry.ForgeIssueClass.dup_created_at

No description available.

since: 1.1

###### Foundry.ForgeIssueClass.dup_description

No description available.

since: 1.1

###### Foundry.ForgeIssueClass.dup_id

No description available.

since: 1.1

###### Foundry.ForgeIssueClass.dup_online_url

No description available.

since: 1.1

###### Foundry.ForgeIssueClass.dup_state

No description available.

since: 1.1

###### Foundry.ForgeIssueClass.dup_title

No description available.

since: 1.1